Summary: A library for manipulating GIF format image files.
%define name libungif
Name: %{name}
%define version 4.1.0
Version: %{version}
Release: 2rh42
Copyright: X Consortium-like
URL:	http://prtr-13.ucsc.edu/~badger/software/libungif.shtml
Source0: ftp://prtr-13.ucsc.edu/pub/libungif/%{name}-%{version}.tar.gz
Source1: ftp://prtr-13.ucsc.edu/pub/libungif/%{name}-3.1.0.tar.gz
Group: System Environment/Libraries
BuildRoot: /var/tmp/libungif-root
# The following libgif.so handles packages built against the
# previous broken giflib package
Provides: libgif.so.3 libgif.so giflib
Obsoletes: giflib
Prefix: /usr

%description
The libungif package contains a shared library of functions for loading
and saving GIF format image files.  The libungif library can load any
GIF file, but it will save GIFs only in uncompressed format (i.e., it
won't use the patented LZW compression used to save "normal" compressed
GIF files).

Install the libungif package if you need to manipulate GIF files.  You
should also install the libungif-progs package.

%package devel
Summary: Development tools for programs which will use the libungif library.
Group: Development/Libraries
%description devel
This package contains the static libraries, header files and documentation
necessary for development of programs that will use the libungif library
to load and save GIF format image files.

You should install this package if you need to develop programs which
will use the libungif library functions for loading and saving GIF format
image files.  You'll also need to install the libungif package.

%package progs
Summary: Programs for manipulating GIF format image files.
Group: Applications/Multimedia
%description progs
The libungif-progs package contains various programs for manipulating
GIF format image files.

Install this package if you need to manipulate GIF format image files.
You'll also need to install the libungif package.

%prep
%setup -q -a 1

%build
libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make all
cd %{name}-3.1.0
libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make all

%install
rm -rf ${RPM_BUILD_ROOT}
cd $RPM_BUILD_DIR/%{name}-%{version}/%{name}-3.1.0/lib
make DESTDIR="${RPM_BUILD_ROOT}" install-strip
{
  cd ${RPM_BUILD_ROOT}/usr/lib
  chmod +x libungif.so.3.1.0
  ln -sf libungif.so.3.1.0 ./libgif.so.3.1.0
  ln -sf libgif.so.3.1.0 ./libgif.so.3
  rm *.a
}

cd $RPM_BUILD_DIR/%{name}-%{version}
make DESTDIR="${RPM_BUILD_ROOT}" install-strip
{
  cd ${RPM_BUILD_ROOT}/usr/lib
  chmod +x libungif.so.%{version}
  ln -sf libungif.so.%{version} ./libgif.so.%{version}
  ln -sf libgif.so.%{version} ./libgif.so.4
  ln -sf libgif.so.4 ./libgif.so
  ln -sf libungif.a ./libgif.a
}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%attr(-,root,root) %doc COPYING README UNCOMPRESSED_GIF NEWS ONEWS
%attr(-,root,root) /usr/lib/lib*.so.*

%files devel
%attr(-,root,root) %doc doc/*
%attr(-,root,root) %doc util/giffiltr.c
%attr(-,root,root) %doc util/gifspnge.c
%attr(-,root,root) /usr/lib/lib*.a
%attr(-,root,root) /usr/lib/lib*.so
%attr(-,root,root) /usr/lib/lib*.la
%attr(-,root,root) /usr/include/*.h

%files progs
%attr(-,root,root) /usr/bin/*

%changelog
* Sat May  8 1999 Dan Fandrich <dan@fch.wimsey.bc.ca>
- rebuilt for Red Hat 4.2

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sun Mar 14 1999 Preston Brown <pbrown@redhat.com>
- include libungif 4.1.0 as standard library, with 3.1.0 backwards compat.

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- call libtoolize to make sure it will build on the arm

* Sat Oct 31 1998 Jeff Johnson <jbj@redhat.com>
- package for RH 5.2.

* Mon Sep 14 1998 Arne Coucheron <arneco@online.no>
  [3.1.0-3]
- major cleanups and changes to the spec file

* Mon Sep 7 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Upgrade to version 3.1.0 (which incorporates the patches in 3.0-4)
- Updated Source: and URL: to reflect change in directories/pages.

* Tue May 26 1998 Dick Porter <dick@cymru.net>
- Fixed some "warning: cast to pointer from integer of different size" on Alpha

* Tue May 5 1998 Marc Ewing <marc@redhat.com>
- Made it obsolete giflib and provide libgif.so and giflib (previous
  giflib packages were built incorrectly and packages built against
  it require libgif.so but work fine with this package)
- cleaned buildroot
- Removed Toshio as packager so he doesn't get yelled at when Red Hat
  breaks it :-)

* Fri Apr 24 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Initial revision of libungif, a giflib derivative modified to not use LZW
  compression.
